## pythontracer 8.10.16

=== graphfile/Makefile ===
CC=gcc -g -Wall -c

graphfile.o: graphfile.c
	$(CC) -o $@ $<

=== debian/changelog ===
pythontracer (8.10.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing dependency on python-gtk2": add the dependency.
    Thanks to Jakub Wilk for the bug report.
    (Closes: #684778)

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Aug 2012 18:48:15 +0200

pythontracer (8.10.16-1) unstable; urgency=low

  * Initial release (Closes: #505208)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 17 Nov 2010 16:44:13 +0900

=== debian/control ===
Source: pythontracer
Section: python
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	python-all-dev, python-setuptools, python-support
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/pythontracer/
#Vcs-Git: git://git.debian.org/collab-maint/pythontracer.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pythontracer.git;a=summary

Package: pythontracer
Architecture: any
Depends: ${python:Depends},${shlibs:Depends}, ${misc:Depends}, python-gtk2
Description: Python programs' execution tracer and profiler
 Lets you see your Python program's execution as a tree of function
 invocations, each tree node exposing the real time, and CPU time (user/sys)
 of that call.
 .
 This project consists of two main components: A Python tracer that can run
 your Python programs (much like "cProfile" and friends). A Gtk+ based GUI
 that can show the trace results.
 .
 It uses a tiny auxiliary library written for it "graphfile" to allow
 append-only writing and reading static DAG's directly from file without
 reading it whole into memory at any stage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/pythontracer/usr/bin/pytracefile.py \
		$(CURDIR)/debian/pythontracer/usr/bin/pytracefile

=== debian/watch ===
version=3
http://googlecode.debian.net/p/pythontracer/pythontracer-(.*)-source\.tar\.gz
